Subject: Re: [PATCH 3/3 net-next v4] selftests: net: add test for IPv4 devconf netlink notifications

From: Jakub Kicinski <[email-masked]>
Date: Thu, 14 May 2026 16:24:29 -0700

On Thu, 14 May 2026 11:42:16 +0200 Fernando Fernandez Mancera wrote:
> On 5/14/26 4:35 AM, Jakub Kicinski wrote:
> > On Sun, 10 May 2026 10:15:28 +0200 Fernando Fernandez Mancera wrote:  
> >> Introduce a new test, `ipv4_devconf_notify`, to verify that the kernel
> >> sends the appropriate netlink notifications when IPv4 devconf parameters
> >> are modified.
> >>
> >> Since YNL currently has a bug where it declares an array of u32 values
> >> instead of the nested attributes expected by the kernel for devconf set
> >> operations, a temporary hack (`patched_add_attr`) is included to
> >> pack the netlink attributes correctly.  
> > 
> > Right, YNL doesn't really support the level or weirdness that netconf
> > requires. Why use YNL? Can't we test this with iproute2?
> 
> No, AFAIU, iproute2 does not expose devconf settings. The main user of 
> IFLA_INET_CONF are netlink libraries and other userspace tools that 
> heavily rely on netlink operations like NetworkManager, nmstate, nispor, 
> rust-netlink..

Isn't this ip netconf ?

> FWIW, I plan to fix the YNL side of things so we have this fixed 
> properly.

If it adds any hacks or new concepts to YNL it's unlikely to 
be accepted :(

> But I would prefer if this isn't blocked. Another patchset 
> introducing IFLA_INET6_CONF support is also coming.. being able to avoid 
> sysctl usage is quite useful for these userspace tools.